async function formData2JSON(body, boundary) {
    const regEx = new RegExp(`--${boundary}`, "g");
    result = body.replace(regEx, "").replace(/Content-Disposition: form-data; name=/g, "").replace(/\s/g, "");
    const fieldsArray = result.substring(1, result.length - 2).split("\"");
    const jsonObj = {};
    for (let i = 0; i < fieldsArray.length; i++) {
        jsonObj[fieldsArray[i]] = fieldsArray[++i];
    }
    return jsonObj;
}

module.exports = { formData2JSON };